package com.gingersoft.gsa.cloud.user.login.mvp.bean;

/**
 * Created by Wyh on 2019/12/20.
 */
public class TestLoginBean {


    /**
     * success : true
     * sysTime : 1.7506064484631255E7
     * data : {"user":{"id":-2.59329254789086E7,"groupId":4.9519301404318124E7,"parentId":7.234733767439088E7,"merchantsId":-7.917127479317397E7,"userName":"Lorem ut in qui","mobile":"et non tempor ut","email":"est velit occaecat Excepteur ad","status":-2.4309450245410383E7,"createTime":"ea proident Excepteur","createBy":"Excepteur proident dolor anim","updateTime":"mag","updateBy":"nisi sed ut esse ex"},"token":"in"}
     */

    private boolean success;
    private double sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public double getSysTime() {
        return sysTime;
    }

    public void setSysTime(double sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * user : {"id":-2.59329254789086E7,"groupId":4.9519301404318124E7,"parentId":7.234733767439088E7,"merchantsId":-7.917127479317397E7,"userName":"Lorem ut in qui","mobile":"et non tempor ut","email":"est velit occaecat Excepteur ad","status":-2.4309450245410383E7,"createTime":"ea proident Excepteur","createBy":"Excepteur proident dolor anim","updateTime":"mag","updateBy":"nisi sed ut esse ex"}
         * token : in
         */

        private UserBean user;
        private String token;

        public UserBean getUser() {
            return user;
        }

        public void setUser(UserBean user) {
            this.user = user;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public static class UserBean {
            /**
             * id : -2.59329254789086E7
             * groupId : 4.9519301404318124E7
             * parentId : 7.234733767439088E7
             * merchantsId : -7.917127479317397E7
             * userName : Lorem ut in qui
             * mobile : et non tempor ut
             * email : est velit occaecat Excepteur ad
             * status : -2.4309450245410383E7
             * createTime : ea proident Excepteur
             * createBy : Excepteur proident dolor anim
             * updateTime : mag
             * updateBy : nisi sed ut esse ex
             */

            private int id;
            private int groupId;
            private int parentId;
            private int merchantsId;
            private String userName;
            private String mobile;
            private String email;
            private int status;
            private String createTime;
            private String createBy;
            private String updateTime;
            private String updateBy;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getGroupId() {
                return groupId;
            }

            public void setGroupId(int groupId) {
                this.groupId = groupId;
            }

            public int getParentId() {
                return parentId;
            }

            public void setParentId(int parentId) {
                this.parentId = parentId;
            }

            public int getMerchantsId() {
                return merchantsId;
            }

            public void setMerchantsId(int merchantsId) {
                this.merchantsId = merchantsId;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getMobile() {
                return mobile;
            }

            public void setMobile(String mobile) {
                this.mobile = mobile;
            }

            public String getEmail() {
                return email;
            }

            public void setEmail(String email) {
                this.email = email;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getCreateBy() {
                return createBy;
            }

            public void setCreateBy(String createBy) {
                this.createBy = createBy;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public String getUpdateBy() {
                return updateBy;
            }

            public void setUpdateBy(String updateBy) {
                this.updateBy = updateBy;
            }
        }
    }
}
